信息网络安全

关于WebLogic Blind XXE漏洞预警

时间:2019-04-19 03:28:43 来源: 打印
近日,Oracle官方发布了4月份的关键补丁更新CPU(CriticalPatchUpdate),其中包含一个高危的WebLogic Blind XXE漏洞(CVE-2019-2647),攻击者可以在未授权的情况下将payload封装在T3协议中,通过对T3协议中的payload进行反序列化,从而实现对存在漏洞的WebLogic组件进行远程Blind XXE攻击,可能导致服务器敏感信息泄露。

影响版本:

OracleWebLogicServer10.3.6.0
OracleWebLogicServer12.1.3.0
OracleWebLogicServer12.2.1.2
OracleWebLogicServer12.2.1.3

安全建议:

一、目前Oracle官方已发布升级补丁修复此漏洞,请升级 Oracle 官方安全补丁。
二、控制 T3 协议的访问权限
WebLogic Blind XXE 漏洞产生于 WebLogic 的 T3 服务,因此可通过控制 T3 协议的访问来临时阻断针对该漏洞的攻击。当开放 WebLogic 控制台端口(默认为 7001 端口)时,T3 服务会默认开启。具体操作如下:
(1)进入WebLogic控制台,在base_domain的配置页面中,进入“安全”选项卡页面,点击“筛选器”,进入连接筛选器配置。
(2)在连接筛选器中输入:weblogic.security.net.ConnectionFilterImpl,在连接筛选器规则中输入:127.0.0.1* * allow t3 t3s,0.0.0.0/0 * * deny t3 t3s(t3和t3s协议的所有端口只允许本地访问)注意规则需要单独分行填写。
(3)保存后重新启动
分享到
快速通道